/**
 * @package 	WordPress
 * @subpackage 	Green Farm
 * @version		1.0.0
 * 
 * Styles for Admin Panel
 * Created by CMSMasters
 * 
 */


.cl {
	clear: both;
}

.cmsmasters_upload {
	display: none;
	position: relative;
	overflow: hidden;
}

.cmsmasters_upload img {
	border: 1px solid #dddddd;
	background-color: #f5f5f5;
	display: block;
	padding: 3px;
	margin-top: 10px;
	min-width: 50px;
	min-height: 50px;
	max-width: 100%;
	cursor: pointer;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

.cmsmasters_upload .cmsmasters_upload_cancel {
	background-color: #f5f5f5;
	color: #555555;
	display: block;
	font-size: 14px;
	line-height: 22px;
	text-align: center;
	width: 22px;
	height: 22px;
	position: absolute;
	bottom: 4px;
	left: 4px;
	-webkit-border-radius: 0 3px 0 0;
	-moz-border-radius: 0 3px 0 0;
	border-radius: 0 3px 0 0;
	-webkit-transition: color .3s ease-in-out;
	-moz-transition: color .3s ease-in-out;
	-ms-transition: color .3s ease-in-out;
	-o-transition: color .3s ease-in-out;
	transition: color .3s ease-in-out;
}

span[data-class=cmsmasters_new_icon_img] {
	border: 1px solid #cccccc;
	background-color: #ffffff;
	font-size: 24px;
	line-height: 38px;
	text-align: center;
	display: none;
	margin: -11px 15px -1px 0;
	width: 40px;
	height: 40px;
	float: left;
	overflow: hidden;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	-webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	border-radius: 3px;
}

a.cmsmasters_remove_icon {
	display: none;
	font-size: 20px;
	line-height: 18px;
	color: #777777;
	width: 20px;
	height: 20px;
	margin-left: 10px;
	overflow: hidden;
	-webkit-transition: color .3s ease-in-out;
	-moz-transition: color .3s ease-in-out;
	-ms-transition: color .3s ease-in-out;
	-o-transition: color .3s ease-in-out;
	transition: color .3s ease-in-out;
}

.cmsmasters_upload .cmsmasters_upload_cancel:hover, 
a.cmsmasters_remove_icon:hover {
	color: #dd0000;
}

a.cmsmasters_remove_icon:before {
	margin: 0;
	vertical-align: middle;
}

.cmsmasters-media-gallery-frame .gallery-settings, 
.cmsmasters-media-gallery-frame.cmsmasters-frame-no-description .attachment-details label[data-setting="description"], 
.cmsmasters-media-gallery-frame.cmsmasters-frame-no-caption .attachment-details label[data-setting="caption"], 
.cmsmasters-media-gallery-frame.cmsmasters-frame-no-caption ul.attachments .attachment input.describe {
	display: none;
}

.cmsmasters-media-select-frame .media-frame-menu, 
.cmsmasters-media-select-frame.cmsmasters-frame-no-description .attachment-details label[data-setting="description"], 
.cmsmasters-media-select-frame.cmsmasters-frame-no-caption .attachment-details label[data-setting="caption"], 
.cmsmasters-media-select-frame.cmsmasters-frame-no-align .attachment-display-settings label.setting, 
.cmsmasters-media-select-frame.cmsmasters-frame-no-link .attachment-display-settings div.setting, 
.cmsmasters-media-select-frame.cmsmasters-frame-no-size .attachment-display-settings label:last-child, 
.cmsmasters-media-select-frame.cmsmasters-frame-no-align.cmsmasters-frame-no-link.cmsmasters-frame-no-size .attachment-display-settings {
	display: none;
}

.cmsmasters-media-select-frame.cmsmasters-frame-no-align .attachment-display-settings label.setting:last-child {
	display: block;
}

.cmsmasters-media-select-frame.cmsmasters-frame-no-align.cmsmasters-frame-no-size .attachment-display-settings label:last-child {
	display: none;
}

.cmsmasters-media-select-frame .media-frame-title, 
.cmsmasters-media-select-frame .media-frame-router, 
.cmsmasters-media-select-frame .media-frame-content, 
.cmsmasters-media-select-frame .media-frame-toolbar {
	left: 0;
}

